> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Locations



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/locations
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/locations:
    get:
      tags:
        - Locations
      summary: List Locations
      operationId: LocationsController_list_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            default: 20
            type: integer
            minimum: 1
            maximum: 100
        - name: cursor
          required: false
          in: query
          schema:
            type: string
        - name: search
          required: false
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 200
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocationListResponseDto'
components:
  schemas:
    LocationListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/LocationResponseDto'
        nextCursor:
          type:
            - string
            - 'null'
        hasMore:
          type: boolean
      required:
        - items
        - nextCursor
        - hasMore
    LocationResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        address:
          type:
            - string
            - 'null'
        apartment:
          type:
            - string
            - 'null'
        city:
          type:
            - string
            - 'null'
        state:
          type:
            - string
            - 'null'
        zipCode:
          type:
            - string
            - 'null'
        country:
          type:
            - string
            - 'null'
        countryCode:
          type:
            - string
            - 'null'
        subdivisionCode:
          type:
            - string
            - 'null'
        placeId:
          type:
            - string
            - 'null'
        region:
          type:
            - string
            - 'null'
      required:
        - id
        - name
        - address
        - apartment
        - city
        - state
        - zipCode
        - country
        - countryCode
        - subdivisionCode
        - placeId
        - region

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.